#
# spec file for package plexus-interpolation
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with tests
Name:           plexus-interpolation
Version:        1.28
Release:        1.1
Summary:        Plexus Interpolation API
License:        Apache-1.1 AND Apache-2.0 AND MIT
Group:          Development/Libraries/Java
URL:            https://github.com/codehaus-plexus/%{name}
Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-build.xml
BuildRequires:  ant
BuildRequires:  fdupes
BuildRequires:  javapackages-local >= 6
BuildArch:      noarch
%if %{with tests}
BuildRequires:  ant-junit
%endif

%description
Plexus interpolator is the outgrowth of multiple iterations of development
focused on providing a more modular, flexible interpolation framework for
the expression language style commonly seen in Maven, Plexus, and other
related projects.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation/HTML

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
cp %{SOURCE1} build.xml

%build
ant \
%if %{without tests}
  -Dtest.skip=true \
%endif
  jar javadoc

%install
# jar
install -dm 0755 %{buildroot}%{_javadir}/plexus
install -pm 0644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/plexus/interpolation.jar
# pom
install -dm 0755 %{buildroot}%{_mavenpomdir}/plexus
%{mvn_install_pom} pom.xml %{buildroot}%{_mavenpomdir}/plexus/interpolation.pom
%add_maven_depmap plexus/interpolation.pom plexus/interpolation.jar
# javadoc
install -dm 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Wed Jun  4 2025 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 1.28
  * New features and improvements
    + Fix #16: StringSearchInterpolator does not cache answers.
    + Add FeedbackingValueSource
    + Pass delimiter information to ValueSource
    + Apply spotless re-formatting
* Wed Oct  2 2024 Fridrich Strba <fstrba@suse.com>
- Spec file cleanup
* Thu Jun 13 2024 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 1.27.0
  * New features and improvements
    + Added support for PPC64LE
    + Add dependabot and release drafter configuration
    + Move to Junit5
  * Dependency updates
    + Bump plexus from 7 to 16
    + Bump maven-bundle-plugin from 3.0.1 to 5.1.9
* Sun Mar 20 2022 Fridrich Strba <fstrba@suse.com>
- Build with java source and target levels 1.8
* Sun Nov 24 2019 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 1.26
* Wed Mar  6 2019 Fridrich Strba <fstrba@suse.com>
- Initial packaging of plexus-interpolation 1.22
- Generate and customize ant build.xml file to be able to build
  outside maven
